Bug 1834178 - Existing build not compatible with pam_namespace.so
Summary: Existing build not compatible with pam_namespace.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xrdp
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-11 08:56 UTC by matt335672
Modified: 2020-05-30 01:43 UTC (History)
2 users (show)

Fixed In Version: xrdp-0.9.13-2.fc32 xrdp-0.9.13-2.fc31 xrdp-0.9.13-2.fc30 xrdp-0.9.13-2.el8 xrdp-0.9.13-2.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-23 02:43:55 UTC
Type: Bug


Attachments (Terms of Use)

Description matt335672 2020-05-11 08:56:06 UTC
Description of problem:

The existing EPEL7 (and 6/8) package is not compatible with the pam_namespace.so security feature.

Version-Release number of selected component (if applicable):

Any

How reproducible:

Add pam_namespace.so into the PAM session stack.

Steps to Reproduce:
1.
2.
3.

Actual results:

Black screen, user cannot log in


Expected results:

Log in is successful.

Additional info:

Recommended fix by upstream is to add --with-socketdir=/run/xrdp-socks to the configure line in the RPM spec.

Upstream bug report : https://github.com/neutrinolabs/xrdp/issues/1482

Comment 1 Fedora Update System 2020-05-14 01:53:49 UTC
FEDORA-2020-0a71bd434f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0a71bd434f

Comment 2 Fedora Update System 2020-05-14 01:53:50 UTC
FEDORA-EPEL-2020-fcf52fc3c8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fcf52fc3c8

Comment 3 Fedora Update System 2020-05-14 01:53:51 UTC
FEDORA-2020-96029b96a2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-96029b96a2

Comment 4 Fedora Update System 2020-05-14 01:53:52 UTC
FEDORA-EPEL-2020-5818afc82e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5818afc82e

Comment 5 Fedora Update System 2020-05-14 01:53:53 UTC
FEDORA-2020-3f6d801f2e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f6d801f2e

Comment 6 Fedora Update System 2020-05-15 04:31:04 UTC
FEDORA-2020-96029b96a2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-96029b96a2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-96029b96a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-15 04:41:32 UTC
FEDORA-EPEL-2020-5818afc82e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5818afc82e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-15 04:44:37 UTC
FEDORA-EPEL-2020-fcf52fc3c8 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fcf52fc3c8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-15 05:09:55 UTC
FEDORA-2020-0a71bd434f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0a71bd434f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0a71bd434f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-15 05:47:14 UTC
FEDORA-2020-3f6d801f2e has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3f6d801f2e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f6d801f2e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-23 02:43:55 UTC
FEDORA-2020-96029b96a2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-23 02:50:43 UTC
FEDORA-2020-0a71bd434f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-23 03:21:52 UTC
FEDORA-2020-3f6d801f2e has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-30 00:40:41 UTC
FEDORA-EPEL-2020-5818afc82e has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-30 01:43:54 UTC
FEDORA-EPEL-2020-fcf52fc3c8 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.